﻿using System.Windows.Input;

namespace MauiApp1
{
    public class WykonaniePoleceniaPrzyZamknięciuStrony : Behavior<Page>
    {
        protected override void OnAttachedTo(Page strona)
        {
            base.OnAttachedTo(strona);
            this.BindingContext = strona.BindingContext;
            strona.Disappearing += strona_Disappearing;            
        }

        private void strona_Disappearing(object? sender, EventArgs e)
        {
            if(Command != null && Command.CanExecute(null))
                Command.Execute(null);
        }

        #region Command
        public static readonly BindableProperty CommandProperty =
            BindableProperty.Create(
                nameof(Command),
                typeof(ICommand),
                typeof(WykonaniePoleceniaPrzyZamknięciuStrony));

        public ICommand Command
        {
            get { return (ICommand)GetValue(CommandProperty); }
            set { SetValue(CommandProperty, value); }
        }
        #endregion
    }
}
